Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.7, 2.8
    • Fix Version/s: 2.8
    • Component/s: dependency-convergence
    • Labels:
      None
    • Flags:
      Patch

      Description

      Description

      Previously, dependency convergence report have below problems:
      1. Only take care directive dependencies, not include transive dependencies into analyzing.
      In fact, more version conflicting cases are happening on transive dependencies.
      2. Only effective for reactor build.
      For those single maven project, also need to analyze version conflicting.
      3. Show all dependencies in report, even it is a good dependency.
      That would confuse users.
      4. Without dependency hierachy, it's hard for users to resolve version conflicting issues.

      To resolve above problems, have these enhancements:
      1. include transive dependencies.
      2. effective for both reactor build and single build.
      3. only show version conflicting dependency & snapshot dependency in report.
      4. show clear dependency hierachy for version conflicting dependency.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                michael-o Michael Osipov
                Reporter:
                wangyf2010 Simon Wang
              • Votes:
                1 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: